Marken
Basis-URL: https://app.neuroflash.com/api/brand-voice-service
Verwalten Sie Markenenitäten, die mit Markenstimmen verknüpft sind.
Neue Marke erstellen
POST
/v1/workspaces/{workspaceId}/brandsErstelle eine neue Marke für den angegebenen Workspace
Pfadparameter
| Parameter | Typ | Erforderlich | Beschreibung |
|---|---|---|---|
workspaceId | string | Ja | Arbeitsbereich-ID (uuid4) |
Anfrage-Body
FeldTypErforderlichBeschreibung
addressstringJaemailstringJafacebookLinkstringJainstagramLinkstringJalinkedinLinkstringJanamestringJaphonesarray<string>Javaluesarray<string>JawebsitestringJaAntwort
FeldTypBeschreibung
addressstringcreatedAtstringcreatedByUserIdstringemailstringfacebookLinkstringidstringinstagramLinkstringlegacybooleanWährend dieses Flag wahr ist, kann die Marke noch nicht bearbeitet werden und muss zunächst in eine nicht-Legacy-Markenstimme konvertiert werdenlinkedinLinkstringnamestringownerLegacyCustomerIdintegerphonesarray<string>updatedAtstringvaluesarray<string>websitestringBeispiel
- cURL
- Python
- Node.js
- Go
curl -X POST "https://app.neuroflash.com/api/brand-voice-service/v1/workspaces/{workspace_id}/brands" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"address": "string",
"email": "string",
"facebookLink": "string",
"instagramLink": "string",
"linkedinLink": "string",
"name": "string",
"phones": [],
"values": [],
"website": "string"
}'
import requests
response = requests.post(
f"https://app.neuroflash.com/api/brand-voice-service/v1/workspaces/{workspace_id}/brands",
headers={"Authorization": f"Bearer {token}", "Content-Type": "application/json"},
json={
"address": "string",
"email": "string",
"facebookLink": "string",
"instagramLink": "string",
"linkedinLink": "string",
"name": "string",
"phones": [],
"values": [],
"website": "string"
},
).json()
const response = await fetch(
`https://app.neuroflash.com/api/brand-voice-service/v1/workspaces/${workspaceId}/brands`,
{
method: "POST",
headers: {
Authorization: `Bearer ${token}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
"address": "string",
"email": "string",
"facebookLink": "string",
"instagramLink": "string",
"linkedinLink": "string",
"name": "string",
"phones": [],
"values": [],
"website": "string"
}),
}
).then((r) => r.json());
body, _ := json.Marshal(map[string]any{
"address": "string",
"email": "string",
"facebookLink": "string",
"instagramLink": "string",
"linkedinLink": "string",
"name": "string",
"phones": []any{},
"values": []any{},
"website": "string",
})
req, _ := http.NewRequest("POST", "https://app.neuroflash.com/api/brand-voice-service/v1/workspaces/"+workspaceID+"/brands", bytes.NewReader(body))
req.Header.Set("Authorization", "Bearer "+token)
req.Header.Set("Content-Type", "application/json")
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
Antwort:
{
"address": "Germany, Berlin, ...",
"createdAt": "2025-01-14T16:20:59Z",
"createdByUserId": "b0920767-2e30-48d3-80ce-268810bc433a",
"email": "test@neuroflash.com",
"facebookLink": "https://facebook.com/test",
"id": "113c0b32-ed6c-4421-b7da-d1faf238eb56",
"instagramLink": "https://instagram.com/test",
"legacy": false,
"linkedinLink": "https://linkedin.com/test",
"name": "neuroflash",
"ownerLegacyCustomerId": 32,
"phones": [
"+00000000",
"+11111111"
],
"updatedAt": "2025-01-14T16:20:59Z",
"values": [
"proactivity",
"stability"
],
"website": "https://test.com"
}
Marken auflisten
GET
/v1/workspaces/{workspaceId}/brandsRufen Sie eine paginierte Liste der Marken für den angegebenen Workspace ab
Pfadparameter
| Parameter | Typ | Erforderlich | Beschreibung |
|---|---|---|---|
workspaceId | string | Ja | Arbeitsbereich-ID (uuid4) |
Abfrageparameter
| Parameter | Typ | Standard | Beschreibung |
|---|---|---|---|
page | integer | 1 | Seitennummer |
size | integer | 10 | Seitengröße |
Antwort
FeldTypBeschreibung
dataarray<object>
addressstringcreatedAtstringcreatedByUserIdstringemailstringfacebookLinkstringidstringinstagramLinkstringlegacybooleanWährend dieses Flag wahr ist, kann die Marke noch nicht bearbeitet werden und muss zunächst in eine nicht-Legacy-Markenstimme konvertiert werdenlinkedinLinkstringnamestringownerLegacyCustomerIdintegerphonesarray<string>updatedAtstringvaluesarray<string>websitestringpageobject
currentPageintegersizeintegertotalElementsintegertotalPagesintegerBeispiel
- cURL
- Python
- Node.js
- Go
curl "https://app.neuroflash.com/api/brand-voice-service/v1/workspaces/{workspace_id}/brands" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
import requests
response = requests.get(
f"https://app.neuroflash.com/api/brand-voice-service/v1/workspaces/{workspace_id}/brands",
headers={"Authorization": f"Bearer {token}"},
).json()
const response = await fetch(
`https://app.neuroflash.com/api/brand-voice-service/v1/workspaces/${workspaceId}/brands`,
{ headers: { Authorization: `Bearer ${token}` } }
).then((r) => r.json());
req, _ := http.NewRequest("GET", "https://app.neuroflash.com/api/brand-voice-service/v1/workspaces/"+workspaceID+"/brands", nil)
req.Header.Set("Authorization", "Bearer "+token)
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
Antwort:
{
"data": [
{
"address": "Germany, Berlin, ...",
"createdAt": "2025-01-14T16:20:59Z",
"createdByUserId": "b0920767-2e30-48d3-80ce-268810bc433a",
"email": "test@neuroflash.com",
"facebookLink": "https://facebook.com/test",
"id": "113c0b32-ed6c-4421-b7da-d1faf238eb56",
"instagramLink": "https://instagram.com/test",
"legacy": false,
"linkedinLink": "https://linkedin.com/test",
"name": "neuroflash",
"ownerLegacyCustomerId": 32,
"phones": [
"+00000000",
"+11111111"
],
"updatedAt": "2025-01-14T16:20:59Z",
"values": [
"proactivity",
"stability"
],
"website": "https://test.com"
}
],
"page": {
"currentPage": 2,
"size": 10,
"totalElements": 35,
"totalPages": 4
}
}
Marke nach ID abrufen
GET
/v1/workspaces/{workspaceId}/brands/{brandId}Rufen Sie Details einer Marke nach ihrer ID für den angegebenen Workspace ab
Pfadparameter
| Parameter | Typ | Erforderlich | Beschreibung |
|---|---|---|---|
workspaceId | string | Ja | Arbeitsbereich-ID (uuid4) |
brandId | string | Ja | Marken-ID |
Antwort
FeldTypBeschreibung
addressstringcreatedAtstringcreatedByUserIdstringemailstringfacebookLinkstringidstringinstagramLinkstringlegacybooleanWährend dieses Flag wahr ist, kann die Marke noch nicht bearbeitet werden und muss zunächst in eine nicht-Legacy-Markenstimme konvertiert werdenlinkedinLinkstringnamestringownerLegacyCustomerIdintegerphonesarray<string>updatedAtstringvaluesarray<string>websitestringBeispiel
- cURL
- Python
- Node.js
- Go
curl "https://app.neuroflash.com/api/brand-voice-service/v1/workspaces/{workspace_id}/brands/{brand_id}" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
import requests
response = requests.get(
f"https://app.neuroflash.com/api/brand-voice-service/v1/workspaces/{workspace_id}/brands/{brand_id}",
headers={"Authorization": f"Bearer {token}"},
).json()
const response = await fetch(
`https://app.neuroflash.com/api/brand-voice-service/v1/workspaces/${workspaceId}/brands/${brandId}`,
{ headers: { Authorization: `Bearer ${token}` } }
).then((r) => r.json());
req, _ := http.NewRequest("GET", "https://app.neuroflash.com/api/brand-voice-service/v1/workspaces/"+workspaceID+"/brands/"+brandID+"", nil)
req.Header.Set("Authorization", "Bearer "+token)
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
Antwort:
{
"address": "Germany, Berlin, ...",
"createdAt": "2025-01-14T16:20:59Z",
"createdByUserId": "b0920767-2e30-48d3-80ce-268810bc433a",
"email": "test@neuroflash.com",
"facebookLink": "https://facebook.com/test",
"id": "113c0b32-ed6c-4421-b7da-d1faf238eb56",
"instagramLink": "https://instagram.com/test",
"legacy": false,
"linkedinLink": "https://linkedin.com/test",
"name": "neuroflash",
"ownerLegacyCustomerId": 32,
"phones": [
"+00000000",
"+11111111"
],
"updatedAt": "2025-01-14T16:20:59Z",
"values": [
"proactivity",
"stability"
],
"website": "https://test.com"
}
Marke aktualisieren
PUT
/v1/workspaces/{workspaceId}/brands/{brandId}Aktualisiere eine Marke nach ihrer ID für den angegebenen Workspace
Pfadparameter
| Parameter | Typ | Erforderlich | Beschreibung |
|---|---|---|---|
workspaceId | string | Ja | Arbeitsbereich-ID (uuid4) |
brandId | string | Ja | Marken-ID |
Anfrage-Body
FeldTypErforderlichBeschreibung
addressstringJaemailstringJafacebookLinkstringJainstagramLinkstringJalinkedinLinkstringJanamestringJaphonesarray<string>Javaluesarray<string>JawebsitestringJaAntwort
FeldTypBeschreibung
addressstringcreatedAtstringcreatedByUserIdstringemailstringfacebookLinkstringidstringinstagramLinkstringlegacybooleanWährend dieses Flag wahr ist, kann die Marke noch nicht bearbeitet werden und muss zunächst in eine nicht-Legacy-Markenstimme konvertiert werdenlinkedinLinkstringnamestringownerLegacyCustomerIdintegerphonesarray<string>updatedAtstringvaluesarray<string>websitestringBeispiel
- cURL
- Python
- Node.js
- Go
curl -X PUT "https://app.neuroflash.com/api/brand-voice-service/v1/workspaces/{workspace_id}/brands/{brand_id}" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"address": "string",
"email": "string",
"facebookLink": "string",
"instagramLink": "string",
"linkedinLink": "string",
"name": "string",
"phones": [],
"values": [],
"website": "string"
}'
import requests
response = requests.put(
f"https://app.neuroflash.com/api/brand-voice-service/v1/workspaces/{workspace_id}/brands/{brand_id}",
headers={"Authorization": f"Bearer {token}", "Content-Type": "application/json"},
json={
"address": "string",
"email": "string",
"facebookLink": "string",
"instagramLink": "string",
"linkedinLink": "string",
"name": "string",
"phones": [],
"values": [],
"website": "string"
},
).json()
const response = await fetch(
`https://app.neuroflash.com/api/brand-voice-service/v1/workspaces/${workspaceId}/brands/${brandId}`,
{
method: "PUT",
headers: {
Authorization: `Bearer ${token}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
"address": "string",
"email": "string",
"facebookLink": "string",
"instagramLink": "string",
"linkedinLink": "string",
"name": "string",
"phones": [],
"values": [],
"website": "string"
}),
}
).then((r) => r.json());
body, _ := json.Marshal(map[string]any{
"address": "string",
"email": "string",
"facebookLink": "string",
"instagramLink": "string",
"linkedinLink": "string",
"name": "string",
"phones": []any{},
"values": []any{},
"website": "string",
})
req, _ := http.NewRequest("PUT", "https://app.neuroflash.com/api/brand-voice-service/v1/workspaces/"+workspaceID+"/brands/"+brandID+"", bytes.NewReader(body))
req.Header.Set("Authorization", "Bearer "+token)
req.Header.Set("Content-Type", "application/json")
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
Antwort:
{
"address": "Germany, Berlin, ...",
"createdAt": "2025-01-14T16:20:59Z",
"createdByUserId": "b0920767-2e30-48d3-80ce-268810bc433a",
"email": "test@neuroflash.com",
"facebookLink": "https://facebook.com/test",
"id": "113c0b32-ed6c-4421-b7da-d1faf238eb56",
"instagramLink": "https://instagram.com/test",
"legacy": false,
"linkedinLink": "https://linkedin.com/test",
"name": "neuroflash",
"ownerLegacyCustomerId": 32,
"phones": [
"+00000000",
"+11111111"
],
"updatedAt": "2025-01-14T16:20:59Z",
"values": [
"proactivity",
"stability"
],
"website": "https://test.com"
}
Marke löschen
DELETE
/v1/workspaces/{workspaceId}/brands/{brandId}Lösche eine Marke nach ihrer ID für den angegebenen Workspace
Pfadparameter
| Parameter | Typ | Erforderlich | Beschreibung |
|---|---|---|---|
workspaceId | string | Ja | Arbeitsbereich-ID (uuid4) |
brandId | string | Ja | Marken-ID |
Beispiel
- cURL
- Python
- Node.js
- Go
curl -X DELETE "https://app.neuroflash.com/api/brand-voice-service/v1/workspaces/{workspace_id}/brands/{brand_id}" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
import requests
requests.delete(
f"https://app.neuroflash.com/api/brand-voice-service/v1/workspaces/{workspace_id}/brands/{brand_id}",
headers={"Authorization": f"Bearer {token}"},
)
await fetch(
`https://app.neuroflash.com/api/brand-voice-service/v1/workspaces/${workspaceId}/brands/${brandId}`,
{
method: "DELETE",
headers: { Authorization: `Bearer ${token}` },
}
);
req, _ := http.NewRequest("DELETE", "https://app.neuroflash.com/api/brand-voice-service/v1/workspaces/"+workspaceID+"/brands/"+brandID+"", nil)
req.Header.Set("Authorization", "Bearer "+token)
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()